Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinSearchTreeManager Class Reference

`#include <CoinSearchTree.hpp>`

Collaboration diagram for CoinSearchTreeManager:
[legend]

## Public Member Functions
| CoinSearchTreeManager ()
virtual | ~CoinSearchTreeManager ()
void | setTree (CoinSearchTreeBase *t)
CoinSearchTreeBase * | getTree () const
bool | empty () const
size_t | size () const
size_t | numInserted () const
CoinTreeNode * | top () const
void | pop ()
void | push (CoinTreeNode *node, const bool incrInserted=true)
void | push (const CoinTreeSiblings &s, const bool incrInserted=true)
void | push (const int n, CoinTreeNode **nodes, const bool incrInserted=true)
CoinTreeNode * | bestQualityCandidate () const
double | bestQuality () const
void | newSolution (double solValue)
void | reevaluateSearchStrategy ()

## Private Member Functions
| CoinSearchTreeManager (const CoinSearchTreeManager &)
CoinSearchTreeManager & | operator= (const CoinSearchTreeManager &)

## Private Attributes
CoinSearchTreeBase * | candidates_
int | numSolution
bool | hasUB_
| Whether there is an upper bound or not. More...
bool | recentlyReevaluatedSearchStrategy_
| variable used to test whether we need to reevaluate search strategy More...

## Detailed Description

Definition at line 450 of file CoinSearchTree.hpp.

## Constructor & Destructor Documentation

CoinSearchTreeManager::CoinSearchTreeManager | ( | const CoinSearchTreeManager & |  | ) |
| private

CoinSearchTreeManager::CoinSearchTreeManager | ( |  | ) |
| inline

Definition at line 466 of file CoinSearchTree.hpp.

virtual CoinSearchTreeManager::~CoinSearchTreeManager | ( |  | ) |
| inline virtual

Definition at line 472 of file CoinSearchTree.hpp.

## Member Function Documentation

CoinSearchTreeManager& CoinSearchTreeManager::operator= | ( | const CoinSearchTreeManager & |  | ) |
| private

void CoinSearchTreeManager::setTree | ( | CoinSearchTreeBase * | t | ) |
| inline

Definition at line 477 of file CoinSearchTree.hpp.

CoinSearchTreeBase* CoinSearchTreeManager::getTree | ( |  | ) | const
| inline

Definition at line 482 of file CoinSearchTree.hpp.

bool CoinSearchTreeManager::empty | ( |  | ) | const
| inline

Definition at line 487 of file CoinSearchTree.hpp.

size_t CoinSearchTreeManager::size | ( |  | ) | const
| inline

Definition at line 488 of file CoinSearchTree.hpp.

size_t CoinSearchTreeManager::numInserted | ( |  | ) | const
| inline

Definition at line 489 of file CoinSearchTree.hpp.

CoinTreeNode* CoinSearchTreeManager::top | ( |  | ) | const
| inline

Definition at line 490 of file CoinSearchTree.hpp.

void CoinSearchTreeManager::pop | ( |  | ) |
| inline

Definition at line 491 of file CoinSearchTree.hpp.

void CoinSearchTreeManager::push | ( | CoinTreeNode * | node,
|  | const bool | incrInserted = `true`
| ) |  |
| inline

Definition at line 492 of file CoinSearchTree.hpp.

void CoinSearchTreeManager::push | ( | const CoinTreeSiblings & | s,
|  | const bool | incrInserted = `true`
| ) |  |
| inline

Definition at line 496 of file CoinSearchTree.hpp.

void CoinSearchTreeManager::push | ( | const int | n,
|  | CoinTreeNode ** | nodes,
|  | const bool | incrInserted = `true`
| ) |  |
| inline

Definition at line 500 of file CoinSearchTree.hpp.

CoinTreeNode* CoinSearchTreeManager::bestQualityCandidate | ( |  | ) | const
| inline

Definition at line 506 of file CoinSearchTree.hpp.

double CoinSearchTreeManager::bestQuality | ( |  | ) | const
| inline

Definition at line 510 of file CoinSearchTree.hpp.

void CoinSearchTreeManager::newSolution | ( | double | solValue | ) |

void CoinSearchTreeManager::reevaluateSearchStrategy | ( |  | ) |

## Member Data Documentation

CoinSearchTreeBase* CoinSearchTreeManager::candidates_
| private

Definition at line 456 of file CoinSearchTree.hpp.

int CoinSearchTreeManager::numSolution
| private

Definition at line 457 of file CoinSearchTree.hpp.

bool CoinSearchTreeManager::hasUB_
| private

Whether there is an upper bound or not.

The upper bound may have come as input, not necessarily from a solution

Definition at line 460 of file CoinSearchTree.hpp.

bool CoinSearchTreeManager::recentlyReevaluatedSearchStrategy_
| private

variable used to test whether we need to reevaluate search strategy

Definition at line 463 of file CoinSearchTree.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinSearchTree.hpp